attribute highp vec4 a_position;
attribute highp vec4 a_color;
attribute highp vec2 a_texCoord;

uniform highp mat4 u_modelViewProjectionMatrix;

varying highp vec4 v_texCoord;
varying lowp float v_highlight;

void main()
{
    gl_Position = u_modelViewProjectionMatrix * a_position;
    v_texCoord.xy = a_texCoord;
    v_texCoord.zw = a_color.rg;
    v_highlight = a_color.b;
}
