varying vec2 v_texCoord;
varying float v_time;

uniform lowp sampler2D u_texture;
uniform lowp vec4 u_color4;

void main() 
{
	vec4 color = texture2D(u_texture, v_texCoord);
	float shift = (color.g * u_color4.x);
	color.g = color.g * (1.0 + shift);
	gl_FragColor = color;
}